# Uses of Interface
org.eclipse.swt.custom.LineStyleListener

Packages that use LineStyleListener
Package
Description
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of LineStyleListener in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type LineStyleListener
Modifier and Type
Method
Description
`void`
StyledText.`addLineStyleListener(LineStyleListener listener)`
Adds a line style listener.
`void`
StyledText.`removeLineStyleListener(LineStyleListener listener)`
Removes the specified line style listener.

## Uses of LineStyleListener in org.eclipse.ui.console

Classes in org.eclipse.ui.console that implement LineStyleListener
Modifier and Type
Class
Description
`class`
`TextConsoleViewer`
Default viewer used to display a `TextConsole`.